> ## Documentation Index
> Fetch the complete documentation index at: https://doc.lucidworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get the job driver log

> Fetch the driver log for the specified job.



## OpenAPI

````yaml /api-reference/5.9/fusion-api-job-launcher.json get /job-launcher/launcher/driver/log/{id}
openapi: 3.0.3
info:
  title: Job Launcher Service API
  description: Launch and control Spark jobs.
  contact:
    name: Lucidworks
    url: www.lucidworks.com
    email: support@lucidworks.com
  license:
    name: License of the API
    url: https://lucidworks.com/legal/developer-license-agreement/
  version: '5.9'
servers:
  - url: https://{FUSION_HOST}
    description: Fusion
    variables:
      FUSION_HOST:
        default: FUSION_HOST
        description: Your environment host.
security: []
tags:
  - name: Job Management
    description: >-
      APIs to list, retrieve, and manage Spark jobs, including job history and
      metadata
  - name: Job Launching
    description: APIs to launch Spark jobs with specified configurations and parameters
  - name: Job Logs
    description: APIs to retrieve log output and diagnostic information from launched jobs
  - name: Job Status and Progress
    description: >-
      APIs to check the current state, progress, and result of running or
      completed jobs
  - name: Job Configuration
    description: >-
      APIs to define, modify, or retrieve job configurations and runtime
      parameters
externalDocs:
  description: Lucidworks Documentation
  url: https://doc.lucidworks.com/
paths:
  /job-launcher/launcher/driver/log/{id}:
    get:
      tags:
        - Job Logs
      summary: Get the job driver log
      description: Fetch the driver log for the specified job.
      operationId: getLogsFromDefaultDriver
      parameters:
        - name: rows
          in: query
          example: 200
          required: false
          schema:
            type: integer
            format: int32
            default: 100
        - name: id
          description: The name of the job.
          example: api-test-app_click_signals_aggregation
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/LogLineList'
components:
  schemas:
    LogLineList:
      type: array
      properties:
        first:
          $ref: '#/components/schemas/LogLine'
        last:
          $ref: '#/components/schemas/LogLine'
        empty:
          type: boolean
      items:
        $ref: '#/components/schemas/LogLine'
    LogLine:
      type: object
      properties:
        line:
          type: string
        date:
          type: string
          format: date-time

````